#/bin/bash
#CMMusic Plugins
#Event [OnLrcNone]
#HotKey [t]
#Lrc Downlader 
#歌词下载器
#Author:Allan,fedorawang

ScriptSelfPath=$(cd "$(dirname "$0")"; pwd)
ScriptTempPath=$HOME"/.cmmusic/Tmp"
if [ ! -d "$ScriptTempPath" ]; then
	mkdir $ScriptTempPath
fi
outFile=$HOME"/.cmmusic/curseui.output"


clear
LrcPath=$HOME"/.cmmusic/Lrc/"
if [ ! -d "$LrcPath" ]; then
	mkdir $LrcPath
fi



#转成小写
TEST=`echo $1 | tr "[A-Z]" "[a-z]"`

#格式："陶晶莹-太委屈.wma"
File=`echo ${TEST} | cut -d '.' -f 1`
CntX=`echo ${File} | grep "-" | wc -l`
if [ $CntX = 0 ]; then
	Artist=$File
	Title=$File
else
	Artist=`echo ${File} | tr -d ' ' | cut -d '-' -f 1`
	Title=`echo ${File} | tr -d ' ' | cut -d '-' -f 2`
fi

File=$File".lrc"
TmpA=`${ScriptSelfPath}/ttplrc -u ${Artist}`
TmpB=`${ScriptSelfPath}/ttplrc -u ${Title}`

Url="http://lrcct2.ttplayer.com/dll/lyricsvr.dll?sh?Artist="$TmpA"&Title="$TmpB"&Flags=0"
TmpFile=$ScriptTempPath"/ttp.xml"
TmpFile2=$ScriptTempPath"/ttplist.tmp"
wget -q $Url -O -| cat > $TmpFile

Cnt=`cat ${TmpFile} | grep "lrc" | wc -l`
Tmp0=1

if [ $Cnt = 0 ]; then
	exit
fi
#	if [ $Cnt -gt '1' ]; then
		echo "lrc 列表:" > $TmpFile2
		cat $TmpFile | grep "lrc" | cut -d '"' -f 2,4,6 | awk 'BEGIN {FS="\""} {id[NR]=$1;artist[NR]=$2;title[NR]=$3} END {for(i=1;i<=NR;i++){print "num: "i"   ID: "id[i]"   Artist: "artist[i]"   Title: "title[i]}}' >> $TmpFile2
		$ScriptSelfPath/curseui --list --title=请选择要下载的歌词文件: --text=$TmpFile2 --option="|Download| Cancel |"
		Tmp0=`cat ${outFile} | cut -d ' ' -f 1`
		selectid=`cat ${outFile} | cut -d ' ' -f 2`
#	fi


   if [ -z "$Tmp0" ]; then   #没有输入, 退出
      exit
   fi
   if [ -z "$selectid" ]; then   #没有输入, 退出
      exit
   fi
if [ "$selectid" == '2' ]; then
	exit
fi

Tmp1=`cat ${TmpFile} | grep "lrc" | sed -n ${Tmp0}p | cut -d '"' -f 2`
Tmp2=`cat ${TmpFile} | grep "lrc" | sed -n ${Tmp0}p | cut -d '"' -f 4`
Tmp3=`cat ${TmpFile} | grep "lrc" | sed -n ${Tmp0}p | cut -d '"' -f 6`
Tmp4=`${ScriptSelfPath}/ttplrc -c ${Tmp1} ${Tmp2}${Tmp3}`

Url="http://lrcct2.ttplayer.com/dll/lyricsvr.dll?dl?Id="$Tmp1"&Code="$Tmp4"&uid=01&mac=80f552d8c830"
wget -q $Url -O -| iconv -f utf-8 -t gbk > $LrcPath$File

rm $TmpFile
echo "[msg_notify]<notify_ldlrc>" > $HOME"/.cmmusic/fifomo"
